For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Activity object
          • GET/activities
          • POST/activities
          • GET/activities/{id}
          • GET/activities/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsActivities

/activities/{id}

GET
/ats/v1/activities/:id
GET
/api/ats/v1/activities/:id
$curl -G https://api.merge.dev/api/ats/v1/activities/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=user \
> --data-urlencode remote_fields=activity_type,visibility \
> --data-urlencode show_enum_origins=activity_type,visibility
200Retrieved
1{
2 "id": "ecbe05ac-62a3-46c5-ab31-4b478b37d1b4",
3 "remote_id": "198123",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "user": "9d892439-5fab-4dbb-8bd8-34f7f96c7912",
7 "remote_created_at": "2021-10-15T00:00:00Z",
8 "activity_type": "NOTE",
9 "subject": "Gil Feig's interview",
10 "body": "Candidate loves integrations!",
11 "visibility": "PRIVATE",
12 "candidate": "550e8400-e29b-41d4-a716-446655440000",
13 "remote_was_deleted": true,
14 "field_mappings": {
15 "organization_defined_targets": {
16 "custom_key": "custom_value"
17 },
18 "linked_account_defined_targets": {
19 "custom_key": "custom_value"
20 }
21 },
22 "remote_data": [
23 {
24 "path": "/actions",
25 "data": null
26 }
27 ]
28}

Returns an Activity object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/activities

Next

/activities/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
userstring or nullformat: "uuid"
The user that performed the action.
remote_created_atdatetime or null
When the third party's activity was created.
activity_typeenum or null

The activity’s type.

  • NOTE - NOTE
  • EMAIL - EMAIL
  • OTHER - OTHER
Allowed values:
subjectstring or null
The activity's subject.
bodystring or null
The activity's body.
visibilityenum or null

The activity’s visibility.

  • ADMIN_ONLY - ADMIN_ONLY
  • PUBLIC - PUBLIC
  • PRIVATE - PRIVATE
Allowed values:
candidatestring or nullformat: "uuid"
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more